<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: ActuatorAxis Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classActuatorAxis-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ActuatorAxis Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="ActuatorAxis_8hpp_source.html">ActuatorAxis.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for ActuatorAxis:</div>
<div class="dyncontent">
<div class="center"><img src="classActuatorAxis__inherit__graph.png" border="0" usemap="#ActuatorAxis_inherit__map" alt="Inheritance graph"/></div>
<map name="ActuatorAxis_inherit__map" id="ActuatorAxis_inherit__map">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html" title="{SmarActActuatorAxis\n|# _sensorType\l# _channelType\l# _isSensorMissing\l# holdMs\l# _marginMicrons\l# _timeoutMs\l# _fieldIDPositionMicrons\l|+ SmarActActuatorAxis()\l+ ~SmarActActuatorAxis()\l+ isSensorMissing()\l+ GotoAsync()\l+ GotoSync()\l+ GetPositionSync()\l+ SetOption()\l+ GetStatusSync()\l+ StopSync()\l+ SetHoldMs()\l+ SetMarginMicrons()\l+ SetClosedLoopMaxFrequency()\l+ SetClosedLoopMoveSpeed()\l+ RegisterFields()\l+ UpdateState()\l}" alt="" coords="5,435,221,867"/></map>
</div>
<div class="dynheader">
Collaboration diagram for ActuatorAxis:</div>
<div class="dyncontent">
<div class="center"><img src="classActuatorAxis__coll__graph.png" border="0" usemap="#ActuatorAxis_coll__map" alt="Collaboration graph"/></div>
<map name="ActuatorAxis_coll__map" id="ActuatorAxis_coll__map">
<area shape="rect" id="node17" href="classstd_1_1vector.html" title="{std::vector\&lt; ActuatorAxis * \&gt;\n||}" alt="" coords="5,1256,197,1341"/><area shape="rect" id="node2" href="classStateManager.html" title="{StateManager\n||+ StateManager()\l+ ~StateManager()\l+ state()\l+ logger()\l+ Renew()\l+ RegisterField()\l+ RegisterFieldExc()\l+ indexOfField()\l}" alt="" coords="260,569,401,775"/><area shape="rect" id="node12" href="classDataLogger.html" title="{DataLogger\n|# filename\l# file\l# stream\l# isHeaderPrepared\l|+ DataLogger()\l+ ~DataLogger()\l+ WriteCurrentState()\l+ SetFilename()\l+ valid()\l# PrepareFileHeader()\l}" alt="" coords="343,904,492,1128"/><area shape="rect" id="node4" href="classMeasurementState.html" title="{MeasurementState\n|+ double_nan\l# names\l# units\l|+ operator[]()\l+ MeasurementState()\l+ ~MeasurementState()\l+ GetHeaders()\l+ DumpCurrentValues()\l+ Get()\l+ Update()\l+ Invalidate()\l+ Volatile()\l+ RegisterField()\l+ IndexOfField()\l+ Renew()\l# Update()\l}" alt="" coords="251,173,411,501"/><area shape="rect" id="node6" href="classstd_1_1vector.html" title="{std::vector\&lt; QString \&gt;\n|+ element\l|}" alt="" coords="89,5,241,91"/><area shape="rect" id="node8" href="classstd_1_1vector.html" title="{std::vector\&lt; bool \&gt;\n|+ element\l|}" alt="" coords="265,5,396,91"/><area shape="rect" id="node10" href="classstd_1_1vector.html" title="{std::vector\&lt; double \&gt;\n|+ element\l|}" alt="" coords="420,5,567,91"/><area shape="rect" id="node15" href="classActuatorSystem.html" title="{ActuatorSystem\n|+ nchannels\l# _systemID\l# _localSystemID\l|+ ActuatorSystem()\l+ ~ActuatorSystem()\l+ AddAxis()\l+ SystemID()\l+ LocalSystemID()\l+ GetAxisPointer()\l}" alt="" coords="112,1409,256,1615"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a44f10b95649ce1f680513649431f8416"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a44f10b95649ce1f680513649431f8416">ActuatorAxis</a> (<a class="el" href="classActuatorSystem.html">ActuatorSystem</a> *actuatorSystem, <a class="el" href="classStateManager.html">StateManager</a> &amp;stateManager, unsigned int localID)</td></tr>
<tr class="memitem:ac7b79d4664ceae76696123345da1142e"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#ac7b79d4664ceae76696123345da1142e">~ActuatorAxis</a> ()</td></tr>
<tr class="memitem:a8bc7f956edd8d06be18c35b7dc56dcfd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classActuatorSystem.html">ActuatorSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a8bc7f956edd8d06be18c35b7dc56dcfd">itsActuatorSystem</a> ()</td></tr>
<tr class="memitem:aca6e394e1b956fb2797356caa2a62b38"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#aca6e394e1b956fb2797356caa2a62b38">GotoAsync</a> (double positionMicrons)=0</td></tr>
<tr class="memitem:a3022184603571d9dd94e51377a275317"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a3022184603571d9dd94e51377a275317">GotoSync</a> (double positionMicrons)=0</td></tr>
<tr class="memitem:aafe1cceab42834d85a6a4750fa33af32"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#aafe1cceab42834d85a6a4750fa33af32">GetPositionSync</a> (double &amp;positionMicrons)=0</td></tr>
<tr class="memitem:ade40b5431a0f3744b7c1f4c51db183a2"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#ade40b5431a0f3744b7c1f4c51db183a2">SetOption</a> (<a class="el" href="ActuatorAxis_8hpp.html#aa54708a5c8d0aae983e16b802396532b">AxisOption</a> option, double value)=0</td></tr>
<tr class="memitem:a7dd8846038e9dcbbf62396d862fcc373"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a7dd8846038e9dcbbf62396d862fcc373">LocalID</a> ()</td></tr>
<tr class="memitem:abc90e3048dfb8b5895e62fab2a790a79"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#abc90e3048dfb8b5895e62fab2a790a79">Name</a> ()</td></tr>
<tr class="memitem:a25534aa53fbcfc4c97aa5bc03988f1d1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a25534aa53fbcfc4c97aa5bc03988f1d1">SetName</a> (QString name)</td></tr>
<tr class="memitem:a4393c05ae71e2764aba1b0c94edfad44"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a4393c05ae71e2764aba1b0c94edfad44">SetFlip</a> (signed int flip)</td></tr>
<tr class="memitem:a1710903e65c20383d05070a32b16313f"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a1710903e65c20383d05070a32b16313f">RegisterFields</a> ()=0</td></tr>
<tr class="memitem:af0d2d584df9a4b7cc7e90bcf8d752f7d"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#af0d2d584df9a4b7cc7e90bcf8d752f7d">UpdateState</a> ()=0</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a6b6efecf3da0f3eeb32a4cd32479d995"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classActuatorSystem.html">ActuatorSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a6b6efecf3da0f3eeb32a4cd32479d995">_itsActuatorSystem</a></td></tr>
<tr class="memdesc:a6b6efecf3da0f3eeb32a4cd32479d995"><td class="mdescLeft">&#160;</td><td class="mdescRight">writes actual values to the state  <a href="#a6b6efecf3da0f3eeb32a4cd32479d995"></a><br/></td></tr>
<tr class="memitem:aff589b293bba5593dd00a11c08c99eeb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classStateManager.html">StateManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#aff589b293bba5593dd00a11c08c99eeb">_stateManager</a></td></tr>
<tr class="memitem:a05cfdb4b4d674731c01174526cf732c0"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a05cfdb4b4d674731c01174526cf732c0">_localID</a></td></tr>
<tr class="memitem:a21ca9c4ab807f8d2a09ee2f57bbd6b82"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a21ca9c4ab807f8d2a09ee2f57bbd6b82">holdMs</a></td></tr>
<tr class="memitem:ade9139dcc1beec6a53850fd2025a4bb6"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#ade9139dcc1beec6a53850fd2025a4bb6">_name</a></td></tr>
<tr class="memitem:af6dcef5df7963f49ed7adde1326f618c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#af6dcef5df7963f49ed7adde1326f618c">_flip</a></td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a44f10b95649ce1f680513649431f8416"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ActuatorAxis::ActuatorAxis </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classActuatorSystem.html">ActuatorSystem</a> *&#160;</td>
          <td class="paramname"><em>actuatorSystem</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classStateManager.html">StateManager</a> &amp;&#160;</td>
          <td class="paramname"><em>stateManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>localID</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ac7b79d4664ceae76696123345da1142e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ActuatorAxis::~ActuatorAxis </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="aafe1cceab42834d85a6a4750fa33af32"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool ActuatorAxis::GetPositionSync </td>
          <td>(</td>
          <td class="paramtype">double &amp;&#160;</td>
          <td class="paramname"><em>positionMicrons</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classSmarActActuatorAxis.html#ac32df6ae546589def458798c5feb84da">SmarActActuatorAxis</a>.</p>

</div>
</div>
<a class="anchor" id="aca6e394e1b956fb2797356caa2a62b38"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool ActuatorAxis::GotoAsync </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>positionMicrons</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classSmarActActuatorAxis.html#a8d890c5c08575507135c8ad6c96ce7df">SmarActActuatorAxis</a>.</p>

</div>
</div>
<a class="anchor" id="a3022184603571d9dd94e51377a275317"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool ActuatorAxis::GotoSync </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>positionMicrons</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e">SmarActActuatorAxis</a>.</p>

</div>
</div>
<a class="anchor" id="a8bc7f956edd8d06be18c35b7dc56dcfd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classActuatorSystem.html">ActuatorSystem</a>* ActuatorAxis::itsActuatorSystem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classActuatorAxis_a8bc7f956edd8d06be18c35b7dc56dcfd_icgraph.png" border="0" usemap="#classActuatorAxis_a8bc7f956edd8d06be18c35b7dc56dcfd_icgraph" alt=""/></div>
<map name="classActuatorAxis_a8bc7f956edd8d06be18c35b7dc56dcfd_icgraph" id="classActuatorAxis_a8bc7f956edd8d06be18c35b7dc56dcfd_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a8d890c5c08575507135c8ad6c96ce7df" title="SmarActActuatorAxis\l::GotoAsync" alt="" coords="476,5,623,51"/><area shape="rect" id="node7" href="classSmarActActuatorAxis.html#ac32df6ae546589def458798c5feb84da" title="SmarActActuatorAxis\l::GetPositionSync" alt="" coords="251,115,397,162"/><area shape="rect" id="node12" href="classSmarActActuatorAxis.html#a4dea2ffa4e4dee139ec935f42188391f" title="SmarActActuatorAxis\l::GetStatusSync" alt="" coords="251,185,397,231"/><area shape="rect" id="node15" href="classSmarActActuatorAxis.html#a444646ac12c7fe62ea8b89ebfdff1065" title="SmarActActuatorAxis\l::StopSync" alt="" coords="476,245,623,291"/><area shape="rect" id="node19" href="classSmarActActuatorAxis.html#a18bcab4ee2856ef4c1e660511cb25546" title="use larger values to achieve premature stopping for coarse approach" alt="" coords="221,305,427,351"/><area shape="rect" id="node23" href="classSmarActActuatorAxis.html#a9ccdb179792d83464e4706c125488767" title="SmarActActuatorAxis\l::SetClosedLoopMoveSpeed" alt="" coords="231,374,417,421"/><area shape="rect" id="node5" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e" title="SmarActActuatorAxis\l::GotoSync" alt="" coords="673,125,820,171"/><area shape="rect" id="node10" href="classSmarActActuatorAxis.html#ab1cd474a89ce6b59c8fe9b7ba6891266" title="SmarActActuatorAxis\l::UpdateState" alt="" coords="476,125,623,171"/><area shape="rect" id="node21" href="classSmarActActuatorAxis.html#a22c770623f280b86e101cc5d78a3e0c9" title="SmarActActuatorAxis\l::SetOption" alt="" coords="476,343,623,390"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a7dd8846038e9dcbbf62396d862fcc373"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int ActuatorAxis::LocalID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classActuatorAxis_a7dd8846038e9dcbbf62396d862fcc373_icgraph.png" border="0" usemap="#classActuatorAxis_a7dd8846038e9dcbbf62396d862fcc373_icgraph" alt=""/></div>
<map name="classActuatorAxis_a7dd8846038e9dcbbf62396d862fcc373_icgraph" id="classActuatorAxis_a7dd8846038e9dcbbf62396d862fcc373_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a8d890c5c08575507135c8ad6c96ce7df" title="SmarActActuatorAxis\l::GotoAsync" alt="" coords="460,5,607,51"/><area shape="rect" id="node7" href="classSmarActActuatorAxis.html#ac32df6ae546589def458798c5feb84da" title="SmarActActuatorAxis\l::GetPositionSync" alt="" coords="235,115,381,162"/><area shape="rect" id="node12" href="classSmarActActuatorAxis.html#a4dea2ffa4e4dee139ec935f42188391f" title="SmarActActuatorAxis\l::GetStatusSync" alt="" coords="235,185,381,231"/><area shape="rect" id="node15" href="classSmarActActuatorAxis.html#a444646ac12c7fe62ea8b89ebfdff1065" title="SmarActActuatorAxis\l::StopSync" alt="" coords="460,245,607,291"/><area shape="rect" id="node19" href="classSmarActActuatorAxis.html#a18bcab4ee2856ef4c1e660511cb25546" title="use larger values to achieve premature stopping for coarse approach" alt="" coords="205,305,411,351"/><area shape="rect" id="node23" href="classSmarActActuatorAxis.html#a9ccdb179792d83464e4706c125488767" title="SmarActActuatorAxis\l::SetClosedLoopMoveSpeed" alt="" coords="215,374,401,421"/><area shape="rect" id="node5" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e" title="SmarActActuatorAxis\l::GotoSync" alt="" coords="657,125,804,171"/><area shape="rect" id="node10" href="classSmarActActuatorAxis.html#ab1cd474a89ce6b59c8fe9b7ba6891266" title="SmarActActuatorAxis\l::UpdateState" alt="" coords="460,125,607,171"/><area shape="rect" id="node21" href="classSmarActActuatorAxis.html#a22c770623f280b86e101cc5d78a3e0c9" title="SmarActActuatorAxis\l::SetOption" alt="" coords="460,343,607,390"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="abc90e3048dfb8b5895e62fab2a790a79"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString ActuatorAxis::Name </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a1710903e65c20383d05070a32b16313f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool ActuatorAxis::RegisterFields </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classSmarActActuatorAxis.html#ad5cd75d518794f34741e87a56930f9cc">SmarActActuatorAxis</a>.</p>

</div>
</div>
<a class="anchor" id="a4393c05ae71e2764aba1b0c94edfad44"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActuatorAxis::SetFlip </td>
          <td>(</td>
          <td class="paramtype">signed int&#160;</td>
          <td class="paramname"><em>flip</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classActuatorAxis_a4393c05ae71e2764aba1b0c94edfad44_icgraph.png" border="0" usemap="#classActuatorAxis_a4393c05ae71e2764aba1b0c94edfad44_icgraph" alt=""/></div>
<map name="classActuatorAxis_a4393c05ae71e2764aba1b0c94edfad44_icgraph" id="classActuatorAxis_a4393c05ae71e2764aba1b0c94edfad44_icgraph">
<area shape="rect" id="node3" href="classRobot.html#addd6c688b1b4697dcfb7f59c5eb4d820" title="TODO: change RobotRecipe into a reference to par object." alt="" coords="200,5,365,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a25534aa53fbcfc4c97aa5bc03988f1d1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActuatorAxis::SetName </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classActuatorAxis_a25534aa53fbcfc4c97aa5bc03988f1d1_icgraph.png" border="0" usemap="#classActuatorAxis_a25534aa53fbcfc4c97aa5bc03988f1d1_icgraph" alt=""/></div>
<map name="classActuatorAxis_a25534aa53fbcfc4c97aa5bc03988f1d1_icgraph" id="classActuatorAxis_a25534aa53fbcfc4c97aa5bc03988f1d1_icgraph">
<area shape="rect" id="node3" href="classRobot.html#addd6c688b1b4697dcfb7f59c5eb4d820" title="TODO: change RobotRecipe into a reference to par object." alt="" coords="213,5,379,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ade40b5431a0f3744b7c1f4c51db183a2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool ActuatorAxis::SetOption </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="ActuatorAxis_8hpp.html#aa54708a5c8d0aae983e16b802396532b">AxisOption</a>&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classSmarActActuatorAxis.html#a22c770623f280b86e101cc5d78a3e0c9">SmarActActuatorAxis</a>.</p>

</div>
</div>
<a class="anchor" id="af0d2d584df9a4b7cc7e90bcf8d752f7d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool ActuatorAxis::UpdateState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classSmarActActuatorAxis.html#ab1cd474a89ce6b59c8fe9b7ba6891266">SmarActActuatorAxis</a>.</p>

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="af6dcef5df7963f49ed7adde1326f618c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ActuatorAxis::_flip</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a6b6efecf3da0f3eeb32a4cd32479d995"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classActuatorSystem.html">ActuatorSystem</a>* ActuatorAxis::_itsActuatorSystem</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>writes actual values to the state </p>

</div>
</div>
<a class="anchor" id="a05cfdb4b4d674731c01174526cf732c0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int ActuatorAxis::_localID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ade9139dcc1beec6a53850fd2025a4bb6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString ActuatorAxis::_name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aff589b293bba5593dd00a11c08c99eeb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classStateManager.html">StateManager</a>&amp; ActuatorAxis::_stateManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a21ca9c4ab807f8d2a09ee2f57bbd6b82"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ActuatorAxis::holdMs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="ActuatorAxis_8hpp_source.html">ActuatorAxis.hpp</a></li>
<li><a class="el" href="ActuatorAxis_8cpp.html">ActuatorAxis.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
